<?php
/**
 * Author: MGIP/SIW
 * Author URI: https://www.serviciosinformaticos.work
 * Copyright: © 2021 MGIP/SIW For O'BOX Logística Parnership
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
if ( ! class_exists('OBOX_Logistics_WC_Shipping_Methods_Settings_Section') ) :
    class OBOX_Logistics_WC_Shipping_Methods_Settings_Section {
        public function __construct() {
			add_filter( 'woocommerce_get_sections_obox_logistics_wc_shipping_methods', array( $this, 'settings_section' ) );
			add_filter( 'woocommerce_get_settings_obox_logistics_wc_shipping_methods_' . $this->id, array( $this, 'get_settings' ), PHP_INT_MAX );
		}
        public function settings_section( $sections ) {
			$sections[ $this->id ] = $this->desc;
			return $sections;
		}
	}
endif;